Bug 849884 - [GT218] Problem with manual adding resolution.
[GT218] Problem with manual adding resolution.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 03:25 EDT by Sergey
Modified: 2013-07-31 17:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 17:54:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error displayed trying to change screen resolution (12.41 KB, image/png)
2012-09-08 14:02 EDT, Diego
no flags Details

  None (edit)
Description Sergey 2012-08-21 03:25:21 EDT
Description of problem:
 I have 2 monitors:
  1 - SyncMaster 943n (1280x1024@60) connected to VGA-1 output directly. (no problem)
  2 - Philips 19S (1280x1024@60) connected to DVI-I-1 output through DVI-2-VGA connector. (X not handle EDID info from monitor)  

xrandr -q

DVI-I-1 connected (normal left inverted right x axis y axis)
   1024x768       60.0  
   800x600        60.3     56.2  
   848x480        60.0  
   640x480        59.9  
HDMI-1 disconnected (normal left inverted right x axis y axis)
VGA-1 connected 1280x1024+0+0 (normal left inverted right x axis y axis) 376mm x 301mm
   1280x1024      60.0*+   75.0  
   1280x960       60.0  
   1152x864       75.0  
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1 

if i try to add resolution with command 
xrandr --output DVI-I-1 --mode 1280x1024
 - system hungs.

Version-Release number of selected component (if applicable):
kernel 3.3.6 - 3.5.2
xorg-x11-drv-nouveau 0.0.16-37.20120306gitf5d1cd2

How reproducible:
always

Actual results:
system hung.

Expected results:
1280x1024 mode on DVI-I-1 output

Additional info:
Palit GeForce GT210 1Gb

lspci
02:00.0 VGA compatible controller: nVidia Corporation GT218 [GeForce 210] (rev a2)
Comment 1 Sergey 2012-08-21 03:29:02 EDT
Sorry the command is 

xrandr --addmode DVI-I-1 1280x1024
Comment 2 Diego 2012-09-08 14:02:48 EDT
Created attachment 611024 [details]
error displayed trying to change screen resolution
Comment 3 Diego 2012-09-08 14:06:01 EDT
Hi

I experienced similar problem last monday with the same graphic card.

My system:
Fedora 17
gnome-shell 3.4.1-5.fc17.x86_64
kernel 3.5.3-1.fc17.x86_64

$ lspci | grep VGA
01:00.0 VGA compatible controller: nVidia Corporation GT218 [GeForce G210] (rev a2)

$ xrandr -q
Screen 0: minimum 8 x 8, current 1440 x 900, maximum 8192 x 8192
DVI-I-0 disconnected (normal left inverted right x axis y axis)
VGA-0 connected 1440x900+0+0 (normal left inverted right x axis y axis) 408mm x 255mm
   1440x900       59.9*+   75.0  
   1280x1024      75.0     60.0  
   1280x960       60.0  
   1152x864       75.0  
   1024x768       75.0     70.1     60.0  
   800x600        75.0     60.3     56.2  
   640x480        75.0     59.9  
DVI-I-1 disconnected (normal left inverted right x axis y axis)
HDMI-0 disconnected (normal left inverted right x axis y axis)

Nouveau driver installed
xorg-x11-drv-nouveau-0.0.16-37.20120306gitf5d1cd2.fc17.x86_64

I needed to change temporarily the screen resolution to 800x600, made it graphically using "System settings". When try to back to 1440x900, always screen got to power saving mode and system didn't respond to any keyboard or mouse order. Just one thing to do, switch power supply off to restart again with 800x600.
I connect via cross-over net cable with other machine, tried to change resolution remotely, and could see a message in other's screen machine (see attachment Errmsg_changing_reso).
Asking in a chat I was suggested to change de driver to my graphic card and use kmod-nvidia driver. After installing it and run

plymouth-set-default-theme -R charge

grub2-mkconfig -o /boot/grub2/grub.cfg

(Note: I have Windows 7 in other same disk's partition and above command erase the entry, and wasn't able to start it, so it was needed to create a custom entry in /etc/grub.d/40_custom file and run grub2-mkconfig -o /boot/grub2/grub.cfg)

and reboot the system, screen resolution was 1440x900 

Now there is another problem, kernel get tainted wich this kmod-nvidia driver

$ dmesg | grep taint
[   18.617670] nvidia: module license 'NVIDIA' taints kernel.
[   18.628970] Disabling lock debugging due to kernel taint

$ grep taint /var/log/messages
Sep  6 18:54:35 cliente-76482 kernel: [   17.590632] nvidia: module license 'NVIDIA' taints kernel.
Sep  6 18:54:35 cliente-76482 kernel: [   17.599864] Disabling lock debugging due to kernel taint

So I'll try to get back with nouveau driver and see what happens.
Comment 4 Diego 2012-09-11 13:12:38 EDT
I went back to nouveau driver and problem persisted so again I'm using nvidia driver.
Comment 5 Fedora End Of Life 2013-07-03 17:06:13 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 17:54:18 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.